Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 752765 - media-video/mpv: migrate to lua eclasses
Summary: media-video/mpv: migrate to lua eclasses
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords:
Depends on: 743826
Blocks: slotted-lua
  Show dependency tree
 
Reported: 2020-11-03 15:37 UTC by Marek Szuba
Modified: 2020-12-23 02:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Szuba gentoo-dev 2020-11-03 15:37:08 UTC
In order for Gentoo Linux to properly support side-by-side installation of
different versions of Lua (including LuaJIT), please migrate this package as
to lua.eclass (for packages which should support multiple Lua implementations
at the same time, i.e. most likely Lua modules) or lua-single.eclass (for
packages which only have to support one Lua implementation at a time). For
details, consult documentation of respective eclasses as well as
already-migrated ebuilds in the tree.

Please note that since slotted dev-lang/lua is currently masked, your
migrated ebuilds should be masked as well. There is a section of package.mask,
created in September 2020, which you can use for this purpose so that it will
be easier in the future to unmask them all in one go.

Thank you in advance for your effort!
Comment 1 jospezial 2020-11-09 06:33:46 UTC
There is also an automagic dependency seen after depcleaning dev-lang/luajit:
mpv-9999.ebuild
	lua? (
		!luajit? ( <dev-lang/lua-5.3:= )
		luajit? ( dev-lang/luajit:2 )
	)


!!! existing preserved libs:
>>> package: dev-lang/luajit-2.0.5-r2
 *  - /usr/lib64/libluajit-5.1.so.2
 *  - /usr/lib64/libluajit-5.1.so.2.0.5
 *      used by /usr/bin/mpv (media-video/mpv-9999)
Use emerge @preserved-rebuild to rebuild packages using these libraries


media-video/mpv-9999::gentoo was built with the following:
USE="X alsa archive bluray cdda cli drm dvb dvd egl iconv jack jpeg lcms lua openal opengl pulseaudio rubberband sdl uchardet vaapi vdpau vulkan xv zlib (-aqua) (-coreaudio) -cplugins -cuda -debug -doc -gamepad -gbm -javascript -libcaca -libmpv -luajit (-raspberry-pi) (-selinux) -test -tools -wayland -zimg" ABI_X86="(64)" PYTHON_TARGETS="python3_8 -python3_6 -python3_7"
FEATURES="sfperms usersync distlocks binpkg-dostrip binpkg-logs news userfetch pid-sandbox binpkg-docompress config-protect-if-modified strict fixlafiles preserve-libs merge-sync ccache protect-owned qa-unresolved-soname-deps network-sandbox unknown-features-warn ebuild-locks usersandbox parallel-fetch unmerge-orphans xattr sandbox multilib-strict assume-digests userpriv ipc-sandbox unmerge-logs"



jlgentoo ~ # emerge -vatD1 mpv

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R   *] media-video/mpv-9999::gentoo  USE="X alsa archive bluray cdda cli drm dvb dvd egl iconv jack jpeg lcms lua openal opengl pulseaudio rubberband sdl uchardet vaapi vdpau vulkan xv zlib (-aqua) (-coreaudio) -cplugins -cuda -debug -doc -gamepad -gbm -javascript -libcaca -libmpv -luajit (-raspberry-pi) (-selinux) -test -tools -wayland -zimg" PYTHON_TARGETS="python3_8 -python3_6 -python3_7" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB
Comment 2 Larry the Git Cow gentoo-dev 2020-12-22 22:47:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38f482f13643da903ebf3ee87ea58d7196b5423a

commit 38f482f13643da903ebf3ee87ea58d7196b5423a
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2020-12-22 22:44:28 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2020-12-22 22:47:23 +0000

    media-video/mpv: migrate to lua-single.eclass
    
    Compatibility as per upstream build scripts. Said scripts do support
    specifying which Lua implementation to use, not directly by specifying
    the pkgconfig module name though - some variable mangling has been
    required. Still, it works.
    
    Closes: https://bugs.gentoo.org/752765
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 media-video/mpv/mpv-0.33.0-r100.ebuild | 358 +++++++++++++++++++++++++++++++++
 profiles/package.mask                  |   1 +
 2 files changed, 359 insertions(+)
Comment 3 jospezial 2020-12-23 01:58:44 UTC
(In reply to Larry the Git Cow from comment #2)

>  media-video/mpv/mpv-0.33.0-r100.ebuild | 358
> +++++++++++++++++++++++++++++++++
>  profiles/package.mask                  |   1 +
>  2 files changed, 359 insertions(+)

>=media-video/mpv-0.33.0-r100
This also masks the live ebuild which is not yet migrated and depends on lua slot 0 (which is lua-5.1.5-r4 and r5)
Comment 4 Sam James archtester gentoo-dev Security 2020-12-23 02:06:22 UTC
(In reply to jospezial from comment #3)
> (In reply to Larry the Git Cow from comment #2)
> 
> >  media-video/mpv/mpv-0.33.0-r100.ebuild | 358
> > +++++++++++++++++++++++++++++++++
> >  profiles/package.mask                  |   1 +
> >  2 files changed, 359 insertions(+)
> 
> >=media-video/mpv-0.33.0-r100
> This also masks the live ebuild which is not yet migrated and depends on lua
> slot 0 (which is lua-5.1.5-r4 and r5)

If it helps, the unmasking is on the evening of the 24th anyway.